Bug 1404 - NT Backup dont have access to samba shares
NT Backup dont have access to samba shares
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: User/Group Accounts
3.0.4
All Windows NT
: P3 normal
: none
Assigned To: Samba Bugzilla Account
Quality Assurance Contact
:
: 1509 1526 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-27 20:16 UTC by Elton Luís Minetto
Modified: 2005-08-24 10:26 UTC (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Elton Luís Minetto 2004-05-27 20:16:40 UTC
Windows NT Backup dont have access to read samba shares. In Windows Explorer the
share can be accessed and files can be copied, but in NT Backup dont.
In the log:
-------------
[2004/05/28 17:15:12, 10] lib/util_seaccess.c:se_map_generic(176)
  se_map_generic(): mapped mask 0x10000000 to 0x001f01ff
[2004/05/28 17:15:12, 10] lib/util_seaccess.c:se_access_check(234)
  se_access_check: requested access 0x00000002, for NT token with 5 entries and
first sid S-1-5-21-3189500061-1502898779-4040186259-2004.
[2004/05/28 17:15:12, 3] lib/util_seaccess.c:se_access_check(251)
[2004/05/28 17:15:12, 3] lib/util_seaccess.c:se_access_check(252)
  se_access_check: user sid is S-1-5-21-3189500061-1502898779-4040186259-2004
  se_access_check: also S-1-5-21-3189500061-1502898779-4040186259-512
  se_access_check: also S-1-1-0
  se_access_check: also S-1-5-2
  se_access_check: also S-1-5-11
  se_access_check: ACE 0: type 0, flags = 0x00, SID = S-1-1-0 mask = 101f01ff,
current desired = 2
[2004/05/28 17:15:12, 5] lib/util_seaccess.c:se_access_check(309)
  se_access_check: access (2) granted.
[2004/05/28 17:15:12, 10] lib/username.c:user_in_list(526)
  user_in_list: checking user backup in list
[2004/05/28 17:15:12, 10] lib/username.c:user_in_list(530)
  user_in_list: checking user |backup| against |administrador|
[2004/05/28 17:15:12, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (502, 503) - sec_ctx_stack_ndx = 0
[2004/05/28 17:15:12, 5] auth/auth_util.c:debug_nt_user_token(491)
  NT user token of user S-1-5-21-3189500061-1502898779-4040186259-2004
  contains 5 SIDs
  SID[  0]: S-1-5-21-3189500061-1502898779-4040186259-2004
  SID[  1]: S-1-5-21-3189500061-1502898779-4040186259-512
  SID[  2]: S-1-1-0
  SID[  3]: S-1-5-2
  SID[  4]: S-1-5-11
[2004/05/28 17:15:12, 5] auth/auth_util.c:debug_unix_user_token(505)
  UNIX token of user 502
  Primary group is 503 and contains 1 supplementary groups
  Group[  0]: 503
[2004/05/28 17:15:12, 5] smbd/uid.c:change_to_user(267)
  change_to_user uid=(502,502) gid=(0,503)
[2004/05/28 17:15:12, 1] smbd/service.c:make_connection_snum(619)
  milenio (200.135.240.30) connect to service html initially as user backup
(uid=502, gid=503) (pid 18131)
[2004/05/28 17:15:12, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 0
[2004/05/28 17:15:12, 5] auth/auth_util.c:debug_nt_user_token(486)
  NT user token: (NULL)
[2004/05/28 17:15:12, 5] auth/auth_util.c:debug_unix_user_token(505)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2004/05/28 17:15:12, 5] smbd/uid.c:change_to_root_user(282)
  change_to_root_user: now uid=(0,0) gid=(0,0)
[2004/05/28 17:15:12, 3] smbd/reply.c:reply_tcon_and_X(429)
  tconX service=HTML 
[2004/05/28 17:15:12, 5] lib/util.c:show_msg(478)
[2004/05/28 17:15:12, 5] lib/util.c:show_msg(488)
  size=126
  smb_com=0x73
  smb_rcls=0
  smb_reh=0
  smb_err=0
  smb_flg=136
  smb_flg2=51201
  smb_tid=1
  smb_pid=51966
  smb_uid=100
  smb_mid=0
  smt_wct=3
  smb_vwv[ 0]=  117 (0x75)
  smb_vwv[ 1]=  104 (0x68)
  smb_vwv[ 2]=    0 (0x0)
  smb_bcc=61
[2004/05/28 17:15:12, 10] lib/util.c:dump_data(1886)
  [000] 00 55 00 6E 00 69 00 78  00 00 00 53 00 61 00 6D  .U.n.i.x ...S.a.m
  [010] 00 62 00 61 00 20 00 33  00 2E 00 30 00 2E 00 33  .b.a. .3 ...0...3
  [020] 00 2D 00 35 00 00 00 55  00 4E 00 4F 00 43 00 48  .-.5...U .N.O.C.H
  [030] 00 41 00 50 00 45 00 43  00 4F 00 00 00           .A.P.E.C .O...
[2004/05/28 17:15:12, 6] lib/util_sock.c:write_socket(430)
  write_socket(22,130)
[2004/05/28 17:15:12, 6] lib/util_sock.c:write_socket(433)
  write_socket(22,130) wrote 130
[2004/05/28 17:15:12, 10] lib/util_sock.c:read_smb_length_return_keepalive(486)
  got smb length of 88
[2004/05/28 17:15:12, 6] smbd/process.c:process_smb(889)
  got message type 0x0 of len 0x58
[2004/05/28 17:15:12, 3] smbd/process.c:process_smb(890)
  Transaction 3 of length 92
[2004/05/28 17:15:12, 5] lib/util.c:show_msg(478)
[2004/05/28 17:15:12, 5] lib/util.c:show_msg(488)
  size=88
  smb_com=0xa2
  smb_rcls=0
  smb_reh=0
  smb_err=0
  smb_flg=24
  smb_flg2=32771
  smb_tid=1
  smb_pid=43200
  smb_uid=100
  smb_mid=64
  smt_wct=24
  smb_vwv[ 0]=  255 (0xFF)
  smb_vwv[ 1]=    0 (0x0)
  smb_vwv[ 2]=  512 (0x200)
  smb_vwv[ 3]=    0 (0x0)
  smb_vwv[ 4]=    0 (0x0)
  smb_vwv[ 5]=    0 (0x0)
  smb_vwv[ 6]=    0 (0x0)
  smb_vwv[ 7]=  256 (0x100)
  smb_vwv[ 8]=    0 (0x0)
  smb_vwv[ 9]=    0 (0x0)
  smb_vwv[10]=    0 (0x0)
  smb_vwv[11]=    0 (0x0)
  smb_vwv[12]=    0 (0x0)
  smb_vwv[13]=    0 (0x0)
  smb_vwv[14]=    0 (0x0)
  smb_vwv[15]=  768 (0x300)
  smb_vwv[16]=    0 (0x0)
  smb_vwv[17]=  256 (0x100)
  smb_vwv[18]=    0 (0x0)
  smb_vwv[19]=  256 (0x100)
  smb_vwv[20]=   64 (0x40)
  smb_vwv[21]=  512 (0x200)
  smb_vwv[22]=    0 (0x0)
  smb_vwv[23]=    0 (0x0)
  smb_bcc=5
[2004/05/28 17:15:12, 10] lib/util.c:dump_data(1886)
  [000] 0E 5C 00 00 00                                    .\... 
[2004/05/28 17:15:12, 3] smbd/process.c:switch_message(685)
  switch message SMBntcreateX (pid 18131)
[2004/05/28 17:15:12, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (502, 503) - sec_ctx_stack_ndx = 0
[2004/05/28 17:15:12, 5] auth/auth_util.c:debug_nt_user_token(491)
  NT user token of user S-1-5-21-3189500061-1502898779-4040186259-2004
  contains 5 SIDs
  SID[  0]: S-1-5-21-3189500061-1502898779-4040186259-2004
  SID[  1]: S-1-5-21-3189500061-1502898779-4040186259-512
  SID[  2]: S-1-1-0
  SID[  3]: S-1-5-2
  SID[  4]: S-1-5-11
[2004/05/28 17:15:12, 5] auth/auth_util.c:debug_unix_user_token(505)
  UNIX token of user 502
  Primary group is 503 and contains 1 supplementary groups
  Group[  0]: 503
[2004/05/28 17:15:12, 5] smbd/uid.c:change_to_user(267)
  change_to_user uid=(502,502) gid=(0,503)
[2004/05/28 17:15:12, 4] smbd/vfs.c:vfs_ChDir(654)
  vfs_ChDir to /var/www/default/html
[2004/05/28 17:15:12, 10] smbd/nttrans.c:reply_ntcreate_and_X(609)
  reply_ntcreateX: flags = 0x0, desired_access = 0x1 file_attributes = 0x0,
share_access = 0x3, create_disposition = 0x1 create_options = 0x4001
root_dir_fid = 0x0
[2004/05/28 17:15:12, 10] smbd/nttrans.c:map_create_disposition(343)
  map_create_disposition: Mapped create_disposition 0x1 to 0x1
[2004/05/28 17:15:12, 10] smbd/nttrans.c:map_share_mode(482)
  map_share_mode: Mapped desired access 0x1, share access 0x3, file attributes
0x0 to open_mode 0x40
[2004/05/28 17:15:12, 5] smbd/filename.c:unix_convert(114)
  unix_convert called on file ""
[2004/05/28 17:15:12, 5] smbd/files.c:file_new(122)
  allocated file structure 979, fnum = 5075 (1 used)
[2004/05/28 17:15:12, 3] smbd/open.c:open_directory(1356)
  open_directory: unable to stat name = .. Error was Sucesso
[2004/05/28 17:15:12, 5] smbd/files.c:file_free(385)
  freed files structure 5075 (0 used)
[2004/05/28 17:15:12, 10] smbd/trans2.c:set_bad_path_error(2211)
  set_bad_path_error: err = 0 bad_path = 0
[2004/05/28 17:15:12, 3] smbd/error.c:error_packet(118)
  error packet at smbd/trans2.c(2220) cmd=162 (SMBntcreateX) NT_STATUS_ACCESS_DENIED
[2004/05/28 17:15:12, 5] lib/util.c:show_msg(478)
[2004/05/28 17:15:12, 5] lib/util.c:show_msg(488)
  size=35
  smb_com=0xa2
  smb_rcls=34
  smb_reh=0
  smb_err=49152
  smb_flg=136
  smb_flg2=51201
  smb_tid=1
  smb_pid=43200
  smb_uid=100
  smb_mid=64
  smt_wct=0
  smb_bcc=0
[2004/05/28 17:15:12, 6] lib/util_sock.c:write_socket(430)
  write_socket(22,39)
[2004/05/28 17:15:12, 6] lib/util_sock.c:write_socket(433)
  write_socket(22,39) wrote 39
[2004/05/28 17:15:12, 10] lib/util_sock.c:read_smb_length_return_keepalive(486)
  got smb length of 88
[2004/05/28 17:15:12, 6] smbd/process.c:process_smb(889)
  got message type 0x0 of len 0x58
[2004/05/28 17:15:12, 3] smbd/process.c:process_smb(890)
  Transaction 4 of length 92
[2004/05/28 17:15:12, 5] lib/util.c:show_msg(478)
[2004/05/28 17:15:12, 5] lib/util.c:show_msg(488)
  size=88
  smb_com=0xa2
  smb_rcls=0
  smb_reh=0
  smb_err=0
  smb_flg=24
  smb_flg2=32771
  smb_tid=1
  smb_pid=43200
  smb_uid=100
  smb_mid=128
  smt_wct=24
  smb_vwv[ 0]=  255 (0xFF)
  smb_vwv[ 1]=    0 (0x0)
  smb_vwv[ 2]=  512 (0x200)
  smb_vwv[ 3]=    0 (0x0)
  smb_vwv[ 4]=    0 (0x0)
  smb_vwv[ 5]=    0 (0x0)
  smb_vwv[ 6]=    0 (0x0)
  smb_vwv[ 7]=  256 (0x100)
  smb_vwv[ 8]=    0 (0x0)
  smb_vwv[ 9]=    0 (0x0)
  smb_vwv[10]=    0 (0x0)
  smb_vwv[11]=    0 (0x0)
  smb_vwv[12]=    0 (0x0)
  smb_vwv[13]=    0 (0x0)
  smb_vwv[14]=    0 (0x0)
  smb_vwv[15]=  768 (0x300)
  smb_vwv[16]=    0 (0x0)
  smb_vwv[17]=  256 (0x100)
  smb_vwv[18]=    0 (0x0)
  smb_vwv[19]=  256 (0x100)
  smb_vwv[20]=   64 (0x40)
  smb_vwv[21]=  512 (0x200)
  smb_vwv[22]=    0 (0x0)
  smb_vwv[23]=    0 (0x0)
  smb_bcc=5
[2004/05/28 17:15:12, 10] lib/util.c:dump_data(1886)
  [000] 0E 5C 00 00 00                                    .\... 
[2004/05/28 17:15:12, 3] smbd/process.c:switch_message(685)
  switch message SMBntcreateX (pid 18131)
[2004/05/28 17:15:12, 4] smbd/uid.c:change_to_user(186)
  change_to_user: Skipping user change - already user
[2004/05/28 17:15:12, 10] smbd/nttrans.c:reply_ntcreate_and_X(609)
  reply_ntcreateX: flags = 0x0, desired_access = 0x1 file_attributes = 0x0,
share_access = 0x3, create_disposition = 0x1 create_options = 0x4001
root_dir_fid = 0x0
[2004/05/28 17:15:12, 10] smbd/nttrans.c:map_create_disposition(343)
  map_create_disposition: Mapped create_disposition 0x1 to 0x1
[2004/05/28 17:15:12, 10] smbd/nttrans.c:map_share_mode(482)
  map_share_mode: Mapped desired access 0x1, share access 0x3, file attributes
0x0 to open_mode 0x40
[2004/05/28 17:15:12, 5] smbd/filename.c:unix_convert(114)
  unix_convert called on file ""
[2004/05/28 17:15:12, 5] smbd/files.c:file_new(122)
  allocated file structure 980, fnum = 5076 (1 used)
[2004/05/28 17:15:12, 3] smbd/open.c:open_directory(1356)
  open_directory: unable to stat name = .. Error was Sucesso
[2004/05/28 17:15:12, 5] smbd/files.c:file_free(385)
  freed files structure 5076 (0 used)
[2004/05/28 17:15:12, 10] smbd/trans2.c:set_bad_path_error(2211)
  set_bad_path_error: err = 0 bad_path = 0
[2004/05/28 17:15:12, 3] smbd/error.c:error_packet(118)
  error packet at smbd/trans2.c(2220) cmd=162 (SMBntcreateX) NT_STATUS_ACCESS_DENIED
[2004/05/28 17:15:12, 5] lib/util.c:show_msg(478)
[2004/05/28 17:15:12, 5] lib/util.c:show_msg(488)
  size=35
  smb_com=0xa2
  smb_rcls=34
  smb_reh=0
  smb_err=49152
  smb_flg=136
  smb_flg2=51201
  smb_tid=1
  smb_pid=43200
  smb_uid=100
  smb_mid=128
  smt_wct=0
  smb_bcc=0
[2004/05/28 17:15:12, 6] lib/util_sock.c:write_socket(430)
  write_socket(22,39)
[2004/05/28 17:15:12, 6] lib/util_sock.c:write_socket(433)
  write_socket(22,39) wrote 39
[2004/05/28 17:15:36, 10] smbd/process.c:async_processing(122)
  async_processing: Doing async processing.
[2004/05/28 17:15:36, 5] smbd/oplock.c:receive_local_message(107)
  receive_local_message: doing select with timeout of 1 ms
[2004/05/28 17:15:36, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 0
[2004/05/28 17:15:36, 5] auth/auth_util.c:debug_nt_user_token(486)
  NT user token: (NULL)
[2004/05/28 17:15:36, 5] auth/auth_util.c:debug_unix_user_token(505)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2004/05/28 17:15:36, 5] smbd/uid.c:change_to_root_user(282)
  change_to_root_user: now uid=(0,0) gid=(0,0)
[2004/05/28 17:15:36, 2] smbd/server.c:exit_server(568)
  Closing connections
[2004/05/28 17:15:36, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 0
[2004/05/28 17:15:36, 5] auth/auth_util.c:debug_nt_user_token(486)
  NT user token: (NULL)
[2004/05/28 17:15:36, 5] auth/auth_util.c:debug_unix_user_token(505)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2004/05/28 17:15:36, 5] smbd/uid.c:change_to_root_user(282)
  change_to_root_user: now uid=(0,0) gid=(0,0)
[2004/05/28 17:15:36, 1] smbd/service.c:close_cnum(801)
  milenio (200.135.240.30) closed connection to service html
[2004/05/28 17:15:36, 3] smbd/connection.c:yield_connection(69)
  Yielding connection to html
[2004/05/28 17:15:36, 4] smbd/vfs.c:vfs_ChDir(654)
  vfs_ChDir to /
[2004/05/28 17:15:36, 3] smbd/sec_ctx.c:set_sec_ctx(288)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 0
[2004/05/28 17:15:36, 5] auth/auth_util.c:debug_nt_user_token(486)
  NT user token: (NULL)
[2004/05/28 17:15:36, 5] auth/auth_util.c:debug_unix_user_token(505)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2004/05/28 17:15:36, 5] smbd/uid.c:change_to_root_user(282)
  change_to_root_user: now uid=(0,0) gid=(0,0)
[2004/05/28 17:15:36, 5] auth/auth_util.c:free_server_info(1324)
  attempting to free (and zero) a server_info structure
[2004/05/28 17:15:36, 3] smbd/connection.c:yield_connection(69)
  Yielding connection to 
[2004/05/28 17:15:36, 5] smbd/oplock.c:receive_local_message(107)
  receive_local_message: doing select with timeout of 1 ms
[2004/05/28 17:15:36, 3] smbd/server.c:exit_server(611)
  Server exit (Caught TERM signal)
-------------
Comment 1 Stefan Dombrowski 2004-07-06 00:30:23 UTC
It is not possible to access Samba shares from other Windows backup programs as 
well. The access is denied although one can browse and operate the shares and 
files within MS Explorer.
Stefan Dombrowski
Comment 2 Volker Lendecke 2004-07-06 00:56:40 UTC
Fixed in current 3_0 subversion. I don't have the exact patch available, but
this now works. If you need a hotfix before 3.0.5, ask :-)

Volker
Comment 3 Elton Luís Minetto 2004-07-06 09:59:54 UTC
Where i can find a patch for 3.0.3-5 (Fedora Core 2)?
Thanks

Elton
Comment 4 Björn Jacke 2004-07-07 15:57:37 UTC
*** Bug 1509 has been marked as a duplicate of this bug. ***
Comment 5 Thomas M Steenholdt 2004-07-09 16:08:51 UTC
just to confirm that this bug does indeed appear to be gone from 3.0.5rc1
Comment 6 Björn Jacke 2004-07-29 05:52:51 UTC
*** Bug 1526 has been marked as a duplicate of this bug. ***
Comment 7 Gerald (Jerry) Carter 2005-08-24 10:26:07 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.